Loading...
Searching...
No Matches
auth_challenge_t Struct Reference

Parameters for digest-challenge. More...

`#include <auth_digest.h>`

## Data Fields

char const * | ac_realm
| realm
char const * | ac_domain
| domain
char const * | ac_nonce
| nonce
char const * | ac_opaque
| opaque
char const * | ac_algorithm
| algorithm
char const * | ac_qop
| qop
unsigned | ac_stale: 1
| stale=true
unsigned | ac_md5: 1
| algorithm=MS5 (or missing)
unsigned | ac_md5sess: 1
| algorithm=MD5-sess
unsigned | ac_sha1: 1
| algorithm=sha1 (SSA Hash)
unsigned | ac_auth: 1
| qop=auth
unsigned | ac_auth_int: 1
| qop=auth-int

## Detailed Description

Parameters for digest-challenge.

The digest-challenge is sent by server or proxy to client. It can be included in, e.g, WWW-Authenticate or Proxy-Authenticate headers.

challenge = "Digest" digest-challenge
digest-challenge = 1#( realm | [domain] | nonce |
[opaque] | [stale] | [algorithm] |
[qop-options] | [auth-param] )
domain = "domain" "=" <"> URI ( 1*SP URI ) <">
URI = absoluteURI | abs_path
nonce = "nonce" "=" nonce-value
nonce-value = quoted-string
opaque = "opaque" "=" quoted-string
stale = "stale" "=" ( "true" | "false" )
algorithm = "algorithm" "=" ( "MD5" | "MD5-sess" | token )
qop-options = "qop" "=" <"> 1#qop-value <">
qop-value = "auth" | "auth-int" | token

See also
  RFC 2617

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.